#ifndef _BWCOLORMAPPER_HPP_
#define _BWCOLORMAPPER_HPP_

#include "colormapper.hpp"

/**
  * Schwarz/Wei&szlig;-Abbildung f&uuml;r alle Werte im Intervall [0; 1].
  * Weist dem Wert 0 die Farbe Schwarz zu, allen anderen Werten die Farbe Wei&szlig;.
  *
  * @author Sebastian Flothow, Marcell Dietl
  */
class BWColorMapper : public ColorMapper
{
public:
    /**
      * Gibt zu einem Fraktal-Wert die zugeh&ouml;rige Farbe zur&uuml;ck.
      *
      * @param v Durch ein Fraktal berechneter Wert im Intervall [0; 1].
      * @return Zum Wert v zugeh&ouml;rige Farbe.
      */
    virtual QRgb map(double v) const;
};

#endif // _BWCOLORMAPPER_HPP_
