#ifndef _COLORMAPPER_HPP_
#define _COLORMAPPER_HPP_

#include <QColor>

/**
  * Interface f&uuml;r Farb-Abbildungen.
  *
  * @author Sebastian Flothow, Marcell Dietl
  */
class ColorMapper
{
public:
    /**
      * Gibt zu einem Fraktal-Wert die zugeh&ouml;rige Farbe zur&uuml;ck.
      *
      * @param v Durch ein Fraktal berechneter Wert im Intervall [0; 1].
      * @return Zum Wert v zugeh&ouml;rige Farbe.
      */
    virtual QRgb map(double v) const = 0;

    /**
      * Virtueller Destruktor, damit delete f&uuml;r einen ColorMapper-Pointer korrekt funktioniert.
      */
    virtual ~ColorMapper() {}
};

#endif // _COLORMAPPER_HPP_
