#ifndef _GRAYCOLORMAPPER_HPP_
#define _GRAYCOLORMAPPER_HPP_

#include "colormapper.hpp"

/**
  * Graustufen-Abbildung f&uuml;r alle Werte im Intervall [0; 1].
  * Weist dem Wert 0 die Farbe Schwarz zu, dem Wert 1 die Farbe Wei&szlig; - mit linearer Abstufung dazwischen.
  *
  * @author Sebastian Flothow, Marcell Dietl
  */
class GrayColorMapper : public ColorMapper
{
public:
    /**
      * Gibt zu einem Fraktal-Wert die zugeh&ouml;rige Farbe zur&uuml;ck.
      *
      * @param v Durch ein Fraktal berechneter Wert im Intervall [0; 1].
      * @return Zum Wert v zugeh&ouml;rige Farbe.
      */
    virtual QRgb map(double v) const;
};

#endif // _GRAYCOLORMAPPER_HPP_
