#ifndef _RGBCOLORMAPPER_HPP_
#define _RGBCOLORMAPPER_HPP_

#include "colormapper.hpp"

/**
  * Farb-Abbildung f&uuml;r alle Werte im Intervall [0; 1].
  * Weist dem Wert 0 die Farbe Schwarz zu, dem Wert 1 die Farbe Rot - mit linearer Abstufung dazwischen.
  *
  * @author Marcell Dietl
  */
class RGBColorMapper : public ColorMapper
{
public:
    /**
      * Gibt zu einem Fraktal-Wert die zugeh&ouml;rige Farbe zur&uuml;ck.
      *
      * @param v Durch ein Fraktal berechneter Wert im Intervall [0; 1].
      * @return Zum Wert v zugeh&ouml;rige Farbe
      */
    virtual QRgb map(double v) const;
};

#endif // _RGBCOLORMAPPER_HPP_
